# TODO
# - how to (where to?) package web and xml and index.html
%include	/usr/lib/rpm/macros.java
Summary:	ADT Plugin for Eclipse
Name:		eclipse-adt
Version:	22.0.5
Release:	1
License:	EPL v1.0
Group:		Libraries/Java
Obsoletes:	eclipse-plugin-adt
Source0:	http://dl.google.com/android/ADT-%{version}.zip
# Source0-md5:	1097fccf32063e3638a9d27aa0f295ca
URL:		http://developer.android.com/sdk/eclipse-adt.html
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	eclipse >= 3.6.2
Requires:	eclipse-gef
Requires:	eclipse-jdt
Requires:	eclipse-plugin-webtools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		eclipsedir	%{_libdir}/eclipse/dropins/adt

%description
Android Development Tools (ADT) is a plugin for the Eclipse IDE that
is designed to give you a powerful, integrated environment in which to
build Android applications.

%prep
%setup -qc
find -name '*.jar' | while read jar; do
	dir=${jar%.jar}
	install -d $dir
	%{__unzip} -qq $jar -d $dir
	rm $jar
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{eclipsedir}/{features,plugins}

cp -a features/* $RPM_BUILD_ROOT%{eclipsedir}/features
cp -a plugins/* $RPM_BUILD_ROOT%{eclipsedir}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{eclipsedir}
%dir %{eclipsedir}/features
%dir %{eclipsedir}/plugins
%{eclipsedir}/features/com.android.ide.eclipse.*
%{eclipsedir}/plugins/com.android.ide.eclipse.*
%{eclipsedir}/plugins/overlay.com.android.ide.eclipse.adt.*
%changelog
* Sun Aug 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eclipse-adt.git;a=log;h=master

* Sun Aug 11 2013 Jan Rękorajski <baggins@pld-linux.org> 1c13eb1
- updated to 22.0.5

* Sat Apr 14 2012 Jan Rękorajski <baggins@pld-linux.org> 4652a07
- up to 17.0.0

* Mon Jan 16 2012 Caleb Maclennan <caleb@alerque.com> df1e644
- Up to 16.0.1

* Thu Nov 24 2011 Jan Rękorajski <baggins@pld-linux.org> c42b34a
- 15.0.1 for SDK Tools r15

* Tue Aug 09 2011 Jan Rękorajski <baggins@pld-linux.org> bc84e1e
- 12.0.0 for SDK Tools r12

* Mon Apr 11 2011 Jan Rękorajski <baggins@pld-linux.org> 23a1c5e
- rel 4
- libdir != noarch

* Mon Apr 11 2011 Jan Rękorajski <baggins@pld-linux.org> 0264869
- rel 3
- missing dirs

* Mon Apr 11 2011 Jan Rękorajski <baggins@pld-linux.org> 9ca2be5
- rel 2
- recent eclipse wants plugins in libdir/eclipse/dropins

* Wed Feb 23 2011 Jan Rękorajski <baggins@pld-linux.org> 060083a
- 10.0.0

* Thu Nov 25 2010 Elan Ruusamäe <glen@pld-linux.org> fae5a1b
- rename to eclipse-adt (pretty much everything is plugin in eclipse)

* Sun Nov 14 2010 Elan Ruusamäe <glen@pld-linux.org> 65520ec
- unpack jars, java deps, update todo

* Sun Nov 14 2010 Elan Ruusamäe <glen@pld-linux.org> 94179b1
- some deps

* Wed Nov 10 2010 Elan Ruusamäe <glen@pld-linux.org> 7aec455
- initial, maybe needs eclipse 3.5 to work

